import "../../components/alert-banner/AlertBanner";
import "../../components/button/Button";
import "../../components/checkbox/Checkbox";
import "../../components/checkbox/CheckboxGroup";
import { LitElement } from "lit";
declare enum BannerType {
    Default = "default",
    Warning = "warning",
    Error = "error",
    Success = "success"
}
export declare class AlertBannerTemplateSandbox extends LitElement {
    default: boolean;
    refresh: boolean;
    warning: boolean;
    error: boolean;
    success: boolean;
    refreshClickCount: number;
    iconBannerType: BannerType;
    showLeftIcon: boolean;
    showRefreshButton: boolean;
    wrapUpIsError: boolean;
    wrapUpShowCancel: boolean;
    private showErrorExpandBanner;
    static get styles(): import("lit").CSSResult[];
    openAlert(kind: string): Promise<void>;
    hideAlert(kind: string): Promise<void>;
    private get renderAlertBannerWithIcons();
    private get renderWarningAlertBannerWithSlot();
    private get renderErrorWithExpandButton();
    private get renderErrorInfoBanner();
    private get renderPromotionalBanner();
    private get renderBannerWithTitle1();
    private get renderBannerWithTitle2();
    private get renderBannerWithTitle3();
    private get renderBannerWithTitle4();
    private get renderBannerWithTitle5();
    private get renderWrapUpInteraction();
    render(): import("lit-html").TemplateResult<1>;
}
export declare const alertBannerTemplate: import("lit-html").TemplateResult<1>;
export {};
